SEC Filings
US Filing Items
Call GET /us/filings/items on the Corpus API.
GET /us/filings/items
Call GET /us/filings/items on the Corpus API.
Category: US · SEC Filings
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| ticker | query | yes | string | — | — |
| filing_type | query | yes | string | — | — |
| year | query | yes | integer | — | — |
| quarter | query | no | integer | null | — | — |
| item | query | no | string | null | — | — |
| accession_number | query | no | string | null | — | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/filings/items?ticker=AAPL&filing_type=10-K&year=1' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | FilingItemsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | FilingProcessingErrorResponse |
Representative 200 response
{
"filing_type": "10-K",
"accession_number": "0000320193-25-000079",
"year": 1,
"items": [
{
"number": "string",
"name": "string",
"text": "string",
"exhibits": [
{}
],
"source_offsets": {
"key": 1
},
"parser_version": "string"
}
],
"resource": "filing_items",
"ticker": "AAPL",
"cik": "0000320193",
"quarter": 1
}